Package be.fgov.ehealth.daas.complextype.v1

# Class Destination

java.lang.Object
be.fgov.ehealth.daas.complextype.v1.Destination

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:45+02:00", comments="JAXB RI v4.0.5") public class Destination extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded">
             <element name="Id" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Quality" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element ref="{urn:be:fgov:ehealth:daas:complextype:v1}Name" maxOccurs="unbounded" minOccurs="0"/>
           </choice>
           <attribute name="Channel" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Dataset" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Destination()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChannel()`
  Gets the value of the channel property.
  `String`
  `getDataset()`
  Gets the value of the dataset property.
  `List<Serializable>`
  `getIdsAndTypesAndQualities()`
  Gets the value of the idsAndTypesAndQualities property.
  `void`
  `setChannel(String value)`
  Sets the value of the channel property.
  `void`
  `setDataset(String value)`
  Sets the value of the dataset property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Destination

    public Destination()

- ## Method Details

  - ### getIdsAndTypesAndQualities

    public List<Serializable> getIdsAndTypesAndQualities()
    Gets the value of the idsAndTypesAndQualities property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the idsAndTypesAndQualities property.

    For example, to add a new item, do as follows:

         getIdsAndTypesAndQualities().add(newItem);

    Objects of the following type(s) are allowed in the list `Name` `JAXBElement``<``String``>` `JAXBElement``<``String``>` `JAXBElement``<``String``>`

    Returns:
      The value of the idsAndTypesAndQualities property.

  - ### getChannel

    public String getChannel()
    Gets the value of the channel property.
    Returns:
      possible object is `String`

  - ### setChannel

    public void setChannel(String value)
    Sets the value of the channel property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDataset

    public String getDataset()
    Gets the value of the dataset property.
    Returns:
      possible object is `String`

  - ### setDataset

    public void setDataset(String value)
    Sets the value of the dataset property.
    Parameters:
      `value` - allowed object is `String`